> For the complete documentation index, see [llms.txt](https://tronex.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://tronex.gitbook.io/docs/api-documentation/api-v1/activation.md).

# Activation

## Buy activation&#x20;

> The request to activate address.\
> \
> \*\*Usage example:\*\*\
> \
> &#x20; \`\`\`http\
> &#x20; POST <https://api.tronex.energy/api/v1/activate\\>
> &#x20; Content-Type: application/json\
> &#x20; X-API-KEY: authentication\_token\
> \
> {\
> &#x20; "target": "TVVX6svz6vXGVACeH9jNMk5M3dH5SvcT71"\
> } \`\`\`<br>

````json
{"openapi":"3.0.3","info":{"title":"Tronex API","version":"1.0.0"},"servers":[{"url":"https://api.tronex.energy","description":"API Server"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","in":"header","name":"X-API-KEY","description":"API key for authentication"}}},"paths":{"/api/v1/activate":{"post":{"summary":"Buy activation ","tags":["Activation"],"description":"The request to activate address.\n\n**Usage example:**\n\n  ```http\n  POST https://api.tronex.energy/api/v1/activate\n  Content-Type: application/json\n  X-API-KEY: authentication_token\n\n{\n  \"target\": \"TVVX6svz6vXGVACeH9jNMk5M3dH5SvcT71\"\n} ```\n","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"target":{"type":"string","description":"Wallet address to activate"}},"required":["target"]}}},"required":true},"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"summa":{"type":"number"},"target":{"type":"string"},"order_id":{"type":"number"},"status":{"type":"string","enum":["Filled","Pending","Cancelled"]},"txid":{"nullable":true,"type":"string"}},"required":["summa","target","order_id","status","txid"],"additionalProperties":false,"description":"Order created successfully"}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number","enum":[400]},"code":{"default":"BAD_REQUEST","type":"string"},"error":{"default":"Bad Request","type":"string"},"message":{"default":"Bad Request","type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"path":{"type":"string"},"message":{"type":"string"}},"required":["path","message"],"additionalProperties":false}}},"required":["statusCode","code","error","message"],"additionalProperties":false,"description":"Bad request error"}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number","enum":[401]},"code":{"default":"UNAUTHORIZED","type":"string"},"error":{"default":"Unauthorized","type":"string"},"message":{"default":"Invalid authorization token","type":"string"}},"required":["statusCode","code","error","message"],"additionalProperties":false,"description":"Unauthorized error"}}}},"402":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number","enum":[402]},"code":{"default":"INSUFFICIENT_FUNDS","type":"string"},"error":{"default":"Payment Required","type":"string"},"message":{"default":"Insufficient funds to create an order","type":"string"}},"required":["statusCode","code","error","message"],"additionalProperties":false,"description":"Insufficient funds error"}}}}}}}}}
````
